import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/lucky_entity.dart';

LuckyEntity $LuckyEntityFromJson(Map<String, dynamic> json) {
	LuckyEntity luckyEntity = LuckyEntity();
	var model = jsonConvert.convertListNotNull<LuckyModel>(json['model']);
	if (model != null) {
		luckyEntity.model = model;
	}
	var num = jsonConvert.convert<String>(json['num']);
	if (num != null) {
		luckyEntity.num = num;
	}
	var flushTime = jsonConvert.convert<String>(json['flushTime']);
	if (flushTime != null) {
		luckyEntity.flushTime = flushTime;
	}
	var isLottery = jsonConvert.convert<String>(json['isLottery']);
	if (isLottery != null) {
		luckyEntity.isLottery = isLottery;
	}
	return luckyEntity;
}

Map<String, dynamic> $LuckyEntityToJson(LuckyEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['model'] =  entity.model?.map((v) => v.toJson()).toList();
	data['num'] = entity.num;
	data['flushTime'] = entity.flushTime;
	data['isLottery'] = entity.isLottery;
	return data;
}

LuckyModel $LuckyModelFromJson(Map<String, dynamic> json) {
	LuckyModel luckyModel = LuckyModel();
	var giftUrl = jsonConvert.convert<String>(json['giftUrl']);
	if (giftUrl != null) {
		luckyModel.giftUrl = giftUrl;
	}
	var lotteryId = jsonConvert.convert<String>(json['lotteryId']);
	if (lotteryId != null) {
		luckyModel.lotteryId = lotteryId;
	}
	var num = jsonConvert.convert<String>(json['num']);
	if (num != null) {
		luckyModel.num = num;
	}
	var sort = jsonConvert.convert<String>(json['sort']);
	if (sort != null) {
		luckyModel.sort = sort;
	}
	var type = jsonConvert.convert<String>(json['type']);
	if (type != null) {
		luckyModel.type = type;
	}
	var isSurprise = jsonConvert.convert<String>(json['isSurprise']);
	if (isSurprise != null) {
		luckyModel.isSurprise = isSurprise;
	}
	return luckyModel;
}

Map<String, dynamic> $LuckyModelToJson(LuckyModel entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['giftUrl'] = entity.giftUrl;
	data['lotteryId'] = entity.lotteryId;
	data['num'] = entity.num;
	data['sort'] = entity.sort;
	data['type'] = entity.type;
	data['isSurprise'] = entity.isSurprise;
	return data;
}

LuckyBean $LuckyBeanFromJson(Map<String, dynamic> json) {
	LuckyBean luckyBean = LuckyBean();
	var isLottery = jsonConvert.convert<String>(json['isLottery']);
	if (isLottery != null) {
		luckyBean.isLottery = isLottery;
	}
	return luckyBean;
}

Map<String, dynamic> $LuckyBeanToJson(LuckyBean entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['isLottery'] = entity.isLottery;
	return data;
}