import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/plus_entity.dart';

PlusEntity $PlusEntityFromJson(Map<String, dynamic> json) {
	PlusEntity plusEntity = PlusEntity();
	var lists = jsonConvert.convertListNotNull<PlusList>(json['lists']);
	if (lists != null) {
		plusEntity.lists = lists;
	}
	return plusEntity;
}

Map<String, dynamic> $PlusEntityToJson(PlusEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['lists'] =  entity.lists?.map((v) => v.toJson()).toList();
	return data;
}

PlusList $PlusListFromJson(Map<String, dynamic> json) {
	PlusList plusList = PlusList();
	var id = jsonConvert.convert<int>(json['id']);
	if (id != null) {
		plusList.id = id;
	}
	var addCoin = jsonConvert.convert<int>(json['addCoin']);
	if (addCoin != null) {
		plusList.addCoin = addCoin;
	}
	var sort = jsonConvert.convert<int>(json['sort']);
	if (sort != null) {
		plusList.sort = sort;
	}
	var period = jsonConvert.convert<int>(json['period']);
	if (period != null) {
		plusList.period = period;
	}
	var level = jsonConvert.convert<int>(json['level']);
	if (level != null) {
		plusList.level = level;
	}
	var name = jsonConvert.convert<String>(json['name']);
	if (name != null) {
		plusList.name = name;
	}
	var code = jsonConvert.convert<String>(json['code']);
	if (code != null) {
		plusList.code = code;
	}
	var price = jsonConvert.convert<double>(json['price']);
	if (price != null) {
		plusList.price = price;
	}
	return plusList;
}

Map<String, dynamic> $PlusListToJson(PlusList entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['id'] = entity.id;
	data['addCoin'] = entity.addCoin;
	data['sort'] = entity.sort;
	data['period'] = entity.period;
	data['level'] = entity.level;
	data['name'] = entity.name;
	data['code'] = entity.code;
	data['price'] = entity.price;
	return data;
}

PlusBanner $PlusBannerFromJson(Map<String, dynamic> json) {
	PlusBanner plusBanner = PlusBanner();
	var image = jsonConvert.convert<String>(json['image']);
	if (image != null) {
		plusBanner.image = image;
	}
	var title = jsonConvert.convert<String>(json['title']);
	if (title != null) {
		plusBanner.title = title;
	}
	var content = jsonConvert.convert<String>(json['content']);
	if (content != null) {
		plusBanner.content = content;
	}
	var color = jsonConvert.convert<int>(json['color']);
	if (color != null) {
		plusBanner.color = color;
	}
	var colorRight = jsonConvert.convert<int>(json['colorRight']);
	if (colorRight != null) {
		plusBanner.colorRight = colorRight;
	}
	return plusBanner;
}

Map<String, dynamic> $PlusBannerToJson(PlusBanner entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['image'] = entity.image;
	data['title'] = entity.title;
	data['content'] = entity.content;
	data['color'] = entity.color;
	data['colorRight'] = entity.colorRight;
	return data;
}

PlusBean $PlusBeanFromJson(Map<String, dynamic> json) {
	PlusBean plusBean = PlusBean();
	var createTime = jsonConvert.convert<String>(json['createTime']);
	if (createTime != null) {
		plusBean.createTime = createTime;
	}
	var expirationTime = jsonConvert.convert<String>(json['expirationTime']);
	if (expirationTime != null) {
		plusBean.expirationTime = expirationTime;
	}
	var level = jsonConvert.convert<String>(json['level']);
	if (level != null) {
		plusBean.level = level;
	}
	var name = jsonConvert.convert<String>(json['name']);
	if (name != null) {
		plusBean.name = name;
	}
	var addCoin = jsonConvert.convert<String>(json['addCoin']);
	if (addCoin != null) {
		plusBean.addCoin = addCoin;
	}
	var period = jsonConvert.convert<int>(json['period']);
	if (period != null) {
		plusBean.period = period;
	}
	return plusBean;
}

Map<String, dynamic> $PlusBeanToJson(PlusBean entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['createTime'] = entity.createTime;
	data['expirationTime'] = entity.expirationTime;
	data['level'] = entity.level;
	data['name'] = entity.name;
	data['addCoin'] = entity.addCoin;
	data['period'] = entity.period;
	return data;
}