import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/room_entity.dart';

RoomEntity $RoomEntityFromJson(Map<String, dynamic> json) {
	RoomEntity roomEntity = RoomEntity();
	var list = jsonConvert.convertListNotNull<RoomList>(json['list']);
	if (list != null) {
		roomEntity.list = list;
	}
	return roomEntity;
}

Map<String, dynamic> $RoomEntityToJson(RoomEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['list'] =  entity.list?.map((v) => v.toJson()).toList();
	return data;
}

RoomList $RoomListFromJson(Map<String, dynamic> json) {
	RoomList roomList = RoomList();
	var cover = jsonConvert.convert<String>(json['cover']);
	if (cover != null) {
		roomList.cover = cover;
	}
	var liveNotice = jsonConvert.convert<String>(json['liveNotice']);
	if (liveNotice != null) {
		roomList.liveNotice = liveNotice;
	}
	var id = jsonConvert.convert<int>(json['id']);
	if (id != null) {
		roomList.id = id;
	}
	var label = jsonConvert.convert<String>(json['label']);
	if (label != null) {
		roomList.label = label;
	}
	var language = jsonConvert.convert<String>(json['language']);
	if (language != null) {
		roomList.language = language;
	}
	var rid = jsonConvert.convert<String>(json['rid']);
	if (rid != null) {
		roomList.rid = rid;
	}
	var roomName = jsonConvert.convert<String>(json['roomName']);
	if (roomName != null) {
		roomList.roomName = roomName;
	}
	var size = jsonConvert.convert<String>(json['size']);
	if (size != null) {
		roomList.size = size;
	}
	var playName = jsonConvert.convert<String>(json['playName']);
	if (playName != null) {
		roomList.playName = playName;
	}
	var nickname = jsonConvert.convert<String>(json['nickname']);
	if (nickname != null) {
		roomList.nickname = nickname;
	}
	var headImage = jsonConvert.convert<String>(json['headImage']);
	if (headImage != null) {
		roomList.headImage = headImage;
	}
	var birthday = jsonConvert.convert<String>(json['birthday']);
	if (birthday != null) {
		roomList.birthday = birthday;
	}
	var gender = jsonConvert.convert<String>(json['gender']);
	if (gender != null) {
		roomList.gender = gender;
	}
	var follow = jsonConvert.convert<String>(json['follow']);
	if (follow != null) {
		roomList.follow = follow;
	}
	return roomList;
}

Map<String, dynamic> $RoomListToJson(RoomList entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['cover'] = entity.cover;
	data['liveNotice'] = entity.liveNotice;
	data['id'] = entity.id;
	data['label'] = entity.label;
	data['language'] = entity.language;
	data['rid'] = entity.rid;
	data['roomName'] = entity.roomName;
	data['size'] = entity.size;
	data['playName'] = entity.playName;
	data['nickname'] = entity.nickname;
	data['headImage'] = entity.headImage;
	data['birthday'] = entity.birthday;
	data['gender'] = entity.gender;
	data['follow'] = entity.follow;
	return data;
}