import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/anchor_entity.dart';

AnchorEntity $AnchorEntityFromJson(Map<String, dynamic> json) {
	AnchorEntity anchorEntity = AnchorEntity();
	var gift = jsonConvert.convertListNotNull<AnchorGift>(json['gift']);
	if (gift != null) {
		anchorEntity.gift = gift;
	}
	var country = jsonConvert.convert<String>(json['country']);
	if (country != null) {
		anchorEntity.country = country;
	}
	var cost = jsonConvert.convert<String>(json['cost']);
	if (cost != null) {
		anchorEntity.cost = cost;
	}
	var signature = jsonConvert.convert<String>(json['signature']);
	if (signature != null) {
		anchorEntity.signature = signature;
	}
	var labelNum = jsonConvert.convertListNotNull<AnchorLabelNum>(json['labelNum']);
	if (labelNum != null) {
		anchorEntity.labelNum = labelNum;
	}
	var headImage = jsonConvert.convert<String>(json['headImage']);
	if (headImage != null) {
		anchorEntity.headImage = headImage;
	}
	var language = jsonConvert.convertListNotNull<String>(json['language']);
	if (language != null) {
		anchorEntity.language = language;
	}
	var pic = jsonConvert.convertListNotNull<AnchorPic>(json['pic']);
	if (pic != null) {
		anchorEntity.pic = pic;
	}
	var down = jsonConvert.convert<String>(json['down']);
	if (down != null) {
		anchorEntity.down = down;
	}
	var answerRate = jsonConvert.convert<String>(json['answerRate']);
	if (answerRate != null) {
		anchorEntity.answerRate = answerRate;
	}
	var nickname = jsonConvert.convert<String>(json['nickname']);
	if (nickname != null) {
		anchorEntity.nickname = nickname;
	}
	var online = jsonConvert.convert<String>(json['online']);
	if (online != null) {
		anchorEntity.online = online;
	}
	var isCare = jsonConvert.convert<String>(json['isCare']);
	if (isCare != null) {
		anchorEntity.isCare = isCare;
	}
	var shareUrl = jsonConvert.convert<String>(json['shareUrl']);
	if (shareUrl != null) {
		anchorEntity.shareUrl = shareUrl;
	}
	var id = jsonConvert.convert<String>(json['id']);
	if (id != null) {
		anchorEntity.id = id;
	}
	var up = jsonConvert.convert<String>(json['up']);
	if (up != null) {
		anchorEntity.up = up;
	}
	var age = jsonConvert.convert<String>(json['age']);
	if (age != null) {
		anchorEntity.age = age;
	}
	var birthday = jsonConvert.convert<String>(json['birthday']);
	if (birthday != null) {
		anchorEntity.birthday = birthday;
	}
	var followNum = jsonConvert.convert<String>(json['followNum']);
	if (followNum != null) {
		anchorEntity.followNum = followNum;
	}
	var gender = jsonConvert.convert<String>(json['gender']);
	if (gender != null) {
		anchorEntity.gender = gender;
	}
	var anchorLabel = jsonConvert.convertListNotNull<String>(json['anchorLabel']);
	if (anchorLabel != null) {
		anchorEntity.anchorLabel = anchorLabel;
	}
	var videoId = jsonConvert.convert<String>(json['videoId']);
	if (videoId != null) {
		anchorEntity.videoId = videoId;
	}
	var videoPic = jsonConvert.convert<String>(json['videoPic']);
	if (videoPic != null) {
		anchorEntity.videoPic = videoPic;
	}
	var localData = jsonConvert.convert<bool>(json['localData']);
	if (localData != null) {
		anchorEntity.localData = localData;
	}
	var sort = jsonConvert.convert<int>(json['sort']);
	if (sort != null) {
		anchorEntity.sort = sort;
	}
	var ab = jsonConvert.convert<int>(json['ab']);
	if (ab != null) {
		anchorEntity.ab = ab;
	}
	var userVideoId = jsonConvert.convert<int>(json['userVideoId']);
	if (userVideoId != null) {
		anchorEntity.userVideoId = userVideoId;
	}
	var toy = jsonConvert.convert<int>(json['toy']);
	if (toy != null) {
		anchorEntity.toy = toy;
	}
	var toyCost = jsonConvert.convert<int>(json['toyCost']);
	if (toyCost != null) {
		anchorEntity.toyCost = toyCost;
	}
	return anchorEntity;
}

Map<String, dynamic> $AnchorEntityToJson(AnchorEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['gift'] =  entity.gift?.map((v) => v.toJson()).toList();
	data['country'] = entity.country;
	data['cost'] = entity.cost;
	data['signature'] = entity.signature;
	data['labelNum'] =  entity.labelNum?.map((v) => v.toJson()).toList();
	data['headImage'] = entity.headImage;
	data['language'] =  entity.language;
	data['pic'] =  entity.pic?.map((v) => v.toJson()).toList();
	data['down'] = entity.down;
	data['answerRate'] = entity.answerRate;
	data['nickname'] = entity.nickname;
	data['online'] = entity.online;
	data['isCare'] = entity.isCare;
	data['shareUrl'] = entity.shareUrl;
	data['id'] = entity.id;
	data['up'] = entity.up;
	data['age'] = entity.age;
	data['birthday'] = entity.birthday;
	data['followNum'] = entity.followNum;
	data['gender'] = entity.gender;
	data['anchorLabel'] =  entity.anchorLabel;
	data['videoId'] = entity.videoId;
	data['videoPic'] = entity.videoPic;
	data['localData'] = entity.localData;
	data['sort'] = entity.sort;
	data['ab'] = entity.ab;
	data['userVideoId'] = entity.userVideoId;
	data['toy'] = entity.toy;
	data['toyCost'] = entity.toyCost;
	return data;
}

AnchorGift $AnchorGiftFromJson(Map<String, dynamic> json) {
	AnchorGift anchorGift = AnchorGift();
	var num = jsonConvert.convert<String>(json['num']);
	if (num != null) {
		anchorGift.num = num;
	}
	var name = jsonConvert.convert<String>(json['name']);
	if (name != null) {
		anchorGift.name = name;
	}
	var id = jsonConvert.convert<String>(json['id']);
	if (id != null) {
		anchorGift.id = id;
	}
	var pic = jsonConvert.convert<String>(json['pic']);
	if (pic != null) {
		anchorGift.pic = pic;
	}
	var grayPic = jsonConvert.convert<String>(json['grayPic']);
	if (grayPic != null) {
		anchorGift.grayPic = grayPic;
	}
	return anchorGift;
}

Map<String, dynamic> $AnchorGiftToJson(AnchorGift entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['num'] = entity.num;
	data['name'] = entity.name;
	data['id'] = entity.id;
	data['pic'] = entity.pic;
	data['grayPic'] = entity.grayPic;
	return data;
}

AnchorLabelNum $AnchorLabelNumFromJson(Map<String, dynamic> json) {
	AnchorLabelNum anchorLabelNum = AnchorLabelNum();
	var num = jsonConvert.convert<String>(json['num']);
	if (num != null) {
		anchorLabelNum.num = num;
	}
	var type = jsonConvert.convert<String>(json['type']);
	if (type != null) {
		anchorLabelNum.type = type;
	}
	var value = jsonConvert.convert<String>(json['value']);
	if (value != null) {
		anchorLabelNum.value = value;
	}
	return anchorLabelNum;
}

Map<String, dynamic> $AnchorLabelNumToJson(AnchorLabelNum entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['num'] = entity.num;
	data['type'] = entity.type;
	data['value'] = entity.value;
	return data;
}

AnchorLabel $AnchorLabelFromJson(Map<String, dynamic> json) {
	AnchorLabel anchorLabel = AnchorLabel();
	var headImage = jsonConvert.convert<String>(json['headImage']);
	if (headImage != null) {
		anchorLabel.headImage = headImage;
	}
	var name = jsonConvert.convert<String>(json['name']);
	if (name != null) {
		anchorLabel.name = name;
	}
	var type = jsonConvert.convert<String>(json['type']);
	if (type != null) {
		anchorLabel.type = type;
	}
	var value = jsonConvert.convertListNotNull<String>(json['value']);
	if (value != null) {
		anchorLabel.value = value;
	}
	return anchorLabel;
}

Map<String, dynamic> $AnchorLabelToJson(AnchorLabel entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['headImage'] = entity.headImage;
	data['name'] = entity.name;
	data['type'] = entity.type;
	data['value'] =  entity.value;
	return data;
}

AnchorPic $AnchorPicFromJson(Map<String, dynamic> json) {
	AnchorPic anchorPic = AnchorPic();
	var cover = jsonConvert.convert<String>(json['cover']);
	if (cover != null) {
		anchorPic.cover = cover;
	}
	var picId = jsonConvert.convert<String>(json['picId']);
	if (picId != null) {
		anchorPic.picId = picId;
	}
	var url = jsonConvert.convert<String>(json['url']);
	if (url != null) {
		anchorPic.url = url;
	}
	return anchorPic;
}

Map<String, dynamic> $AnchorPicToJson(AnchorPic entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['cover'] = entity.cover;
	data['picId'] = entity.picId;
	data['url'] = entity.url;
	return data;
}