import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/block_entity.dart';

BlockEntity $BlockEntityFromJson(Map<String, dynamic> json) {
	BlockEntity blockEntity = BlockEntity();
	var list = jsonConvert.convertListNotNull<BlockList>(json['list']);
	if (list != null) {
		blockEntity.list = list;
	}
	return blockEntity;
}

Map<String, dynamic> $BlockEntityToJson(BlockEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['list'] =  entity.list?.map((v) => v.toJson()).toList();
	return data;
}

BlockList $BlockListFromJson(Map<String, dynamic> json) {
	BlockList blockList = BlockList();
	var headImage = jsonConvert.convert<String>(json['headImage']);
	if (headImage != null) {
		blockList.headImage = headImage;
	}
	var name = jsonConvert.convert<String>(json['name']);
	if (name != null) {
		blockList.name = name;
	}
	var blockTime = jsonConvert.convert<String>(json['blockTime']);
	if (blockTime != null) {
		blockList.blockTime = blockTime;
	}
	var userId = jsonConvert.convert<String>(json['userId']);
	if (userId != null) {
		blockList.userId = userId;
	}
	return blockList;
}

Map<String, dynamic> $BlockListToJson(BlockList entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['headImage'] = entity.headImage;
	data['name'] = entity.name;
	data['blockTime'] = entity.blockTime;
	data['userId'] = entity.userId;
	return data;
}