import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/toplist_entity.dart';

TopListEntity $TopListEntityFromJson(Map<String, dynamic> json) {
	TopListEntity topListEntity = TopListEntity();
	var lists = jsonConvert.convertListNotNull<TopList>(json['lists']);
	if (lists != null) {
		topListEntity.lists = lists;
	}
	return topListEntity;
}

Map<String, dynamic> $TopListEntityToJson(TopListEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['lists'] =  entity.lists?.map((v) => v.toJson()).toList();
	return data;
}

TopList $TopListFromJson(Map<String, dynamic> json) {
	TopList topList = TopList();
	var name = jsonConvert.convert<String>(json['name']);
	if (name != null) {
		topList.name = name;
	}
	var dec = jsonConvert.convert<String>(json['dec']);
	if (dec != null) {
		topList.dec = dec;
	}
	var headImage = jsonConvert.convert<String>(json['headImage']);
	if (headImage != null) {
		topList.headImage = headImage;
	}
	var money = jsonConvert.convert<String>(json['money']);
	if (money != null) {
		topList.money = money;
	}
	var userId = jsonConvert.convert<String>(json['userId']);
	if (userId != null) {
		topList.userId = userId;
	}
	var isAnchor = jsonConvert.convert<String>(json['isAnchor']);
	if (isAnchor != null) {
		topList.isAnchor = isAnchor;
	}
	var online = jsonConvert.convert<String>(json['online']);
	if (online != null) {
		topList.online = online;
	}
	var order = jsonConvert.convert<int>(json['order']);
	if (order != null) {
		topList.order = order;
	}
	var cared = jsonConvert.convert<String>(json['cared']);
	if (cared != null) {
		topList.cared = cared;
	}
	var userVipLevel = jsonConvert.convert<String>(json['userVipLevel']);
	if (userVipLevel != null) {
		topList.userVipLevel = userVipLevel;
	}
	var lastFreeVideoId = jsonConvert.convert<String>(json['lastFreeVideoId']);
	if (lastFreeVideoId != null) {
		topList.lastFreeVideoId = lastFreeVideoId;
	}
	var birthday = jsonConvert.convert<String>(json['birthday']);
	if (birthday != null) {
		topList.birthday = birthday;
	}
	return topList;
}

Map<String, dynamic> $TopListToJson(TopList entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['name'] = entity.name;
	data['dec'] = entity.dec;
	data['headImage'] = entity.headImage;
	data['money'] = entity.money;
	data['userId'] = entity.userId;
	data['isAnchor'] = entity.isAnchor;
	data['online'] = entity.online;
	data['order'] = entity.order;
	data['cared'] = entity.cared;
	data['userVipLevel'] = entity.userVipLevel;
	data['lastFreeVideoId'] = entity.lastFreeVideoId;
	data['birthday'] = entity.birthday;
	return data;
}