import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/user_entity.dart';
import 'package:mmoo_base/entity/label_entity.dart';


UserEntity $UserEntityFromJson(Map<String, dynamic> json) {
	UserEntity userEntity = UserEntity();
	var flowingCount = jsonConvert.convert<String>(json['flowingCount']);
	if (flowingCount != null) {
		userEntity.flowingCount = flowingCount;
	}
	var flowerCount = jsonConvert.convert<String>(json['flowerCount']);
	if (flowerCount != null) {
		userEntity.flowerCount = flowerCount;
	}
	var isAgendHost = jsonConvert.convert<String>(json['isAgendHost']);
	if (isAgendHost != null) {
		userEntity.isAgendHost = isAgendHost;
	}
	var country = jsonConvert.convert<String>(json['country']);
	if (country != null) {
		userEntity.country = country;
	}
	var rongToken = jsonConvert.convert<String>(json['rongToken']);
	if (rongToken != null) {
		userEntity.rongToken = rongToken;
	}
	var gender = jsonConvert.convert<String>(json['gender']);
	if (gender != null) {
		userEntity.gender = gender;
	}
	var headImage = jsonConvert.convert<String>(json['headImage']);
	if (headImage != null) {
		userEntity.headImage = headImage;
	}
	var myFriends = jsonConvert.convert<String>(json['myFriends']);
	if (myFriends != null) {
		userEntity.myFriends = myFriends;
	}
	var invUrl = jsonConvert.convert<String>(json['invUrl']);
	if (invUrl != null) {
		userEntity.invUrl = invUrl;
	}
	var token = jsonConvert.convert<String>(json['token']);
	if (token != null) {
		userEntity.token = token;
	}
	var isHost = jsonConvert.convert<String>(json['isHost']);
	if (isHost != null) {
		userEntity.isHost = isHost;
	}
	var money = jsonConvert.convert<String>(json['money']);
	if (money != null) {
		userEntity.money = money;
	}
	var newUser = jsonConvert.convert<String>(json['newUser']);
	if (newUser != null) {
		userEntity.newUser = newUser;
	}
	var msgNum = jsonConvert.convert<String>(json['msgNum']);
	if (msgNum != null) {
		userEntity.msgNum = msgNum;
	}
	var name = jsonConvert.convert<String>(json['name']);
	if (name != null) {
		userEntity.name = name;
	}
	var disturb = jsonConvert.convert<String>(json['disturb']);
	if (disturb != null) {
		userEntity.disturb = disturb;
	}
	var id = jsonConvert.convert<String>(json['id']);
	if (id != null) {
		userEntity.id = id;
	}
	var userType = jsonConvert.convert<String>(json['userType']);
	if (userType != null) {
		userEntity.userType = userType;
	}
	var invCode = jsonConvert.convert<String>(json['invCode']);
	if (invCode != null) {
		userEntity.invCode = invCode;
	}
	var applyStatus = jsonConvert.convert<String>(json['applyStatus']);
	if (applyStatus != null) {
		userEntity.applyStatus = applyStatus;
	}
	var age = jsonConvert.convert<String>(json['age']);
	if (age != null) {
		userEntity.age = age;
	}
	var email = jsonConvert.convert<String>(json['email']);
	if (email != null) {
		userEntity.email = email;
	}
	var desc = jsonConvert.convert<String>(json['desc']);
	if (desc != null) {
		userEntity.desc = desc;
	}
	var paidUser = jsonConvert.convert<String>(json['paidUser']);
	if (paidUser != null) {
		userEntity.paidUser = paidUser;
	}
	var isVip = jsonConvert.convert<String>(json['isVip']);
	if (isVip != null) {
		userEntity.isVip = isVip;
	}
	var sendCoins = jsonConvert.convert<String>(json['sendCoins']);
	if (sendCoins != null) {
		userEntity.sendCoins = sendCoins;
	}
	var rtmToken = jsonConvert.convert<String>(json['rtmToken']);
	if (rtmToken != null) {
		userEntity.rtmToken = rtmToken;
	}
	var signature = jsonConvert.convert<String>(json['signature']);
	if (signature != null) {
		userEntity.signature = signature;
	}
	var pic = jsonConvert.convertListNotNull<UserPic>(json['pic']);
	if (pic != null) {
		userEntity.pic = pic;
	}
	var online = jsonConvert.convert<String>(json['online']);
	if (online != null) {
		userEntity.online = online;
	}
	var shareUrl = jsonConvert.convert<String>(json['shareUrl']);
	if (shareUrl != null) {
		userEntity.shareUrl = shareUrl;
	}
	var label = jsonConvert.convertListNotNull<LabelItem>(json['label']);
	if (label != null) {
		userEntity.label = label;
	}
	var localData = jsonConvert.convert<bool>(json['localData']);
	if (localData != null) {
		userEntity.localData = localData;
	}
	var likes = jsonConvert.convertListNotNull<dynamic>(json['likes']);
	if (likes != null) {
		userEntity.likes = likes;
	}
	var rechargeCount = jsonConvert.convert<int>(json['rechargeCount']);
	if (rechargeCount != null) {
		userEntity.rechargeCount = rechargeCount;
	}
	return userEntity;
}

Map<String, dynamic> $UserEntityToJson(UserEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['flowingCount'] = entity.flowingCount;
	data['flowerCount'] = entity.flowerCount;
	data['isAgendHost'] = entity.isAgendHost;
	data['country'] = entity.country;
	data['rongToken'] = entity.rongToken;
	data['gender'] = entity.gender;
	data['headImage'] = entity.headImage;
	data['myFriends'] = entity.myFriends;
	data['invUrl'] = entity.invUrl;
	data['token'] = entity.token;
	data['isHost'] = entity.isHost;
	data['money'] = entity.money;
	data['newUser'] = entity.newUser;
	data['msgNum'] = entity.msgNum;
	data['name'] = entity.name;
	data['disturb'] = entity.disturb;
	data['id'] = entity.id;
	data['userType'] = entity.userType;
	data['invCode'] = entity.invCode;
	data['applyStatus'] = entity.applyStatus;
	data['age'] = entity.age;
	data['email'] = entity.email;
	data['desc'] = entity.desc;
	data['paidUser'] = entity.paidUser;
	data['isVip'] = entity.isVip;
	data['sendCoins'] = entity.sendCoins;
	data['rtmToken'] = entity.rtmToken;
	data['signature'] = entity.signature;
	data['pic'] =  entity.pic?.map((v) => v.toJson()).toList();
	data['online'] = entity.online;
	data['shareUrl'] = entity.shareUrl;
	data['label'] =  entity.label?.map((v) => v.toJson()).toList();
	data['localData'] = entity.localData;
	data['likes'] =  entity.likes;
	data['rechargeCount'] = entity.rechargeCount;
	return data;
}

UserPic $UserPicFromJson(Map<String, dynamic> json) {
	UserPic userPic = UserPic();
	var id = jsonConvert.convert<String>(json['id']);
	if (id != null) {
		userPic.id = id;
	}
	var cover = jsonConvert.convert<String>(json['cover']);
	if (cover != null) {
		userPic.cover = cover;
	}
	var picId = jsonConvert.convert<String>(json['picId']);
	if (picId != null) {
		userPic.picId = picId;
	}
	var url = jsonConvert.convert<String>(json['url']);
	if (url != null) {
		userPic.url = url;
	}
	return userPic;
}

Map<String, dynamic> $UserPicToJson(UserPic entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['id'] = entity.id;
	data['cover'] = entity.cover;
	data['picId'] = entity.picId;
	data['url'] = entity.url;
	return data;
}

UserOnline $UserOnlineFromJson(Map<String, dynamic> json) {
	UserOnline userOnline = UserOnline();
	var online = jsonConvert.convert<String>(json['online']);
	if (online != null) {
		userOnline.online = online;
	}
	var nickname = jsonConvert.convert<String>(json['nickname']);
	if (nickname != null) {
		userOnline.nickname = nickname;
	}
	var headImage = jsonConvert.convert<String>(json['headImage']);
	if (headImage != null) {
		userOnline.headImage = headImage;
	}
	return userOnline;
}

Map<String, dynamic> $UserOnlineToJson(UserOnline entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['online'] = entity.online;
	data['nickname'] = entity.nickname;
	data['headImage'] = entity.headImage;
	return data;
}