import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/user_status_entity.dart';

UserStatusEntity $UserStatusEntityFromJson(Map<String, dynamic> json) {
	UserStatusEntity userStatusEntity = UserStatusEntity();
	var userStatus = jsonConvert.convertListNotNull<UserStatus>(json['userStatus']);
	if (userStatus != null) {
		userStatusEntity.userStatus = userStatus;
	}
	return userStatusEntity;
}

Map<String, dynamic> $UserStatusEntityToJson(UserStatusEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['userStatus'] =  entity.userStatus?.map((v) => v.toJson()).toList();
	return data;
}

UserStatus $UserStatusFromJson(Map<String, dynamic> json) {
	UserStatus userStatus = UserStatus();
	var headImage = jsonConvert.convert<String>(json['headImage']);
	if (headImage != null) {
		userStatus.headImage = headImage;
	}
	var nickname = jsonConvert.convert<String>(json['nickname']);
	if (nickname != null) {
		userStatus.nickname = nickname;
	}
	var online = jsonConvert.convert<String>(json['online']);
	if (online != null) {
		userStatus.online = online;
	}
	var id = jsonConvert.convert<String>(json['id']);
	if (id != null) {
		userStatus.id = id;
	}
	var gender = jsonConvert.convert<String>(json['gender']);
	if (gender != null) {
		userStatus.gender = gender;
	}
	var birthday = jsonConvert.convert<String>(json['birthday']);
	if (birthday != null) {
		userStatus.birthday = birthday;
	}
	var signature = jsonConvert.convert<String>(json['signature']);
	if (signature != null) {
		userStatus.signature = signature;
	}
	return userStatus;
}

Map<String, dynamic> $UserStatusToJson(UserStatus entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['headImage'] = entity.headImage;
	data['nickname'] = entity.nickname;
	data['online'] = entity.online;
	data['id'] = entity.id;
	data['gender'] = entity.gender;
	data['birthday'] = entity.birthday;
	data['signature'] = entity.signature;
	return data;
}